define({'advisory event \n\t ':{d:'A notice from TIBCO BusinessEvents about activity in the engine, for example, an exception. \n\t\t',l:''},'agenda \n\t ':{d:'A prioritized list of rule actions that may execute. Also known as the rule agenda. TIBCO BusinessEvents recreates the agenda each time a change in the Rete network requires rules to be re-evaluated, for example, when a simple event is asserted. A rule action in an agenda may disappear without firing when the agenda is recreated, because conditions are no longer met. \n\t\t',l:''},'agent \n\t ':{d:'TIBCO BusinessEvents operates at runtime using one or usually several agents of different types. \n\t\t',l:''},'agent class \n\t ':{d:'An agent type, defined in the CDD file, that deploys as an agent instance. \n\t\t',l:''},'agent group \n\t ':{d:'Multiple deployed instances of one agent class. Used for load balancing and fault tolerance. \n\t\t',l:''},'assert \n\t ':{d:'Put facts into the Rete network. When object instances or events are asserted into the Rete network, rules may fire as a result. \n\t\t',l:''},'backing store \n\t ':{d:'A disk-based database to provide persistence and a better level of reliability for cache objects. \n\t\t',l:''},'cache \n\t ':{d:'In TIBCO BusinessEvents, a type of object management. Generally refers to distributed storage of facts (objects) in memory. \n\t\t',l:''},'cache agent \n\t ':{d:'A processing unit configured with a non-reasoning agent used as a storage node only. Used with Cache object management. \n\t\t',l:''},'cache cluster \n\t ':{d:'A group of processing units each running one or more agents configured for use by the cache-based object management type. Some agents are generally configured as cache agents. They store cache data for use by other cluster members. \n\t\t',l:''},'cache mode \n\t ':{d:'Various cache mode options are available at the object level, for use with cache-based object management. They enable you to tune the performance of your application, and reduce its footprint in memory. \n\t\t',l:''},'cache only \n\t ':{d:'One of the cache modes, used at the object level. Instances of entity types that use cache only are serialized and kept in the cache until needed. They must be explicitly loaded into the Rete network when needed for rule processing. \n\t\t',l:''},'cache server \n\t ':{d:'See \n\t\t  cache agent. \n\t\t',l:''},'channel \n\t ':{d:'A named configuration that allows TIBCO BusinessEvents to listen to a stream of events from a given type of source, for example, JMS messages. A channel contains one or more destinations. \n\t\t',l:''},'cluster deployment descriptor \n\t ':{d:'XML file containing properties to define the cluster, processing units, and agent classes. Configuration done using TRA file properties in earlier releases is now done using the CDD editor in TIBCO BusinessEvents Studio. \n\t\t',l:''},'complex event \n\t ':{d:'An abstraction that results from patterns detected among simple events. \n\t\tExample: A complex event might result from the following simple events that all occurred within one week’s time: A stock broker buys shares of xyz stock. The same broker submits a very large order for xyz stock on behalf of a customer. The same broker sells shares of xyz stock at a profit. \n\t\t',l:''},'complex event processing (CEP) \n\t ':{d:'Correlation of multiple events from an event cloud, with the aim of identifying meaningful events and taking appropriate action. \n\t\t',l:''},'concept \n\t ':{d:'An abstract entity similar to the object-oriented concept of a class. A concept is a description of a set of properties that, when grouped together, create a meaningful unit. Concepts can be organized in a hierarchical structure. \n\t\tExample: \n\t\t  Department, employee, \n\t\t  purchase order, and \n\t\t  inventory item are all concepts. The term \n\t\t  concept type \n\t\t  refers to the definition and the term \n\t\t  concept instance refers to the actual object. Concepts are generally created using event data. \n\t\t',l:''},'concept reference \n\t ':{d:'A property within one concept that references the ID of another concept, known as the referenced concept. A type of relationship between concepts. \n\t\t',l:''},'conflict resolution cycle \n\t ':{d:'A cycle of activities during which the engine executes one set of rule actions on the currently asserted facts. One RTC may contain multiple conflict resolution cycles. \n\t\t',l:''},'contained concept \n\t ':{d:'A concept that exists entirely within another concept. A type of relationship between concepts. \n\t\t',l:''},'custom function \n\t ':{d:'You can add Java-based custom functions as needed to supplement the library of standard functions provided with TIBCO BusinessEvents. \n\t\t',l:''},'decision table \n\t ':{d:'A tabular form presenting a set of conditions and their corresponding actions. A graphical tool for building rules. Used in TIBCO BusinessEvents Decision Manager. \n\t\t',l:''},'deserializer \n\t ':{d:'A class that performs conversion tasks. In TIBCO BusinessEvents, a deserializer converts messages to events. See also \n\t\t  serializer',l:''},'destination \n\t ':{d:'A channel property that defines a contact point on a given channel. For example, for a TIBCO Rendezvous channel, the destination properties would specify the subjects on which to listen. \n\t\t',l:''},'distributed cache \n\t ':{d:'In TIBCO BusinessEvents, a form of cache-based object management. In a distributed cache, cached object data is partitioned between the processing units (JVMs) in the cache cluster for efficient use of memory. \n\t\t',l:''},'entity \n\t ':{d:'A concept, simple event, or scorecard. Entity types are the definition of the entity. Similar in meaning to object. The term “instance” generally refers to a concept instance. \n\t\t',l:''},'event \n\t ':{d:'An object representing some occurrence or point in time. \n\t\t',l:''},'evict \n\t ':{d:'To remove an object or entry from a cache. An eviction policy defines when an object is removed from the cache. \n\t\t',l:''},'expires (event) \n\t ':{d:'At the end of the event’s time to live period, the event is said to expire. It is removed from the Rete network and (as needed) acknowledged. Other actions depend on the type of object management used. \n\t\t',l:''},'fact \n\t ':{d:'An instance of an event or concept or scorecard in the Rete network. \n\t\t',l:''},'in memory \n\t ':{d:'In TIBCO BusinessEvents, a form of object management. Refers to storage of facts (objects) used by the runtime engine in JVM memory. \n\t\t',l:''},'inference agent \n\t ':{d:'In a deployed system, inference agents process incoming events using a Rete network and a set of rules that are triggered by conditions in incoming events. Inference agents in Cache OM systems allow fault tolerance and load balancing. \n\t\t',l:''},'instance \n\t ':{d:'Similar to the Java term “object instance.” By custom, applied only to concepts, though event definitions have object instances also. \n\t\t',l:''},'L1 Cache \n\t ':{d:'Used with Cache OM, the L1 cache is a local cache that gives inference agents quick access to recently used objects. \n\t\t',l:''},'lambda transition \n\t ':{d:'A transition without a condition. This term is used in state model configuration. \n\t\t',l:''},'memory only (local only) \n\t ':{d:'One of the cache modes, available for cache-based object management configuration. Instances of entity types that use this mode are not stored in cache or backing store and are available only in the processing unit’s local JVM memory. \n\t\t',l:''},'object management (OM) \n\t ':{d:'The aspect of TIBCO BusinessEvents that deals with management of all the facts used in the runtime engine. Often shortened to OM in documentation. \n\t\t',l:''},'ontology function \n\t ':{d:'TIBCO BusinessEvents generates ontology functions for each entity type in a project. There are three types of ontology functions: \n\t\t  constructors, to create a simple event or concept instance; \n\t\t  time events, to create and schedule time events, and \n\t\t  rule functions, to invoke rule functions. \n\t\t',l:''},'payload \n\t ':{d:'Similar to a JMS message, a simple event can contain properties and a payload. The payload holds the content of the message. You can define the XML schema for the payload when you configure the simple event definition. Payloads can also contain strings and Byte arrays. \n\t\t',l:''},'processing unit \n\t ':{d:'Definition of a TIBCO BusinessEvents engine which runs in one JVM. Contains agents and other properties. \n\t\t',l:''},'query agent \n\t ':{d:'A query agent is a non-reasoning agent that and has read-only access to the underlying objects in the cache cluster. A query agent has no Rete network. Available only with TIBCO BusinessEvents Event Stream Processing add-on software. \n\t\t',l:''},'Rete algorithm \n\t ':{d:'Dr Charles L. Forgy developed the Rete algorithm for expert systems. \n\t\t',l:''},'Rete network \n\t ':{d:'An in-memory network of objects based on the Rete algorithm which enables fast matching of facts with rule dependencies. \n\t\t“The word \u0027Rete\u0027 is Latin for \u0027net\u0027 or \u0027comb\u0027. The same word is used in modern Italian to mean network. Charles Forgy has reportedly stated that he adopted the term \u0027Rete\u0027 because of its use in anatomy to describe a network of blood vessels and nerve fibers. . . . A Rete-based expert system builds a network of nodes, where each node (except the root) corresponds to a pattern occurring in the left-hand-side (the condition part) of a rule. The path from the root node to a leaf node defines a complete rule left-hand-side. Each node has a memory of facts which satisfy that pattern.” (http://en.wikipedia.org/wiki/Rete_algorithm) \n\t\t',l:''},'retract \n\t ':{d:'Remove facts from the Rete network. \n\t\t',l:''},'RMS \n\t ':{d:'Rules Management Server. The server component of TIBCO BusinessEvents Decision Manager add-on software. RMS manages the rules management repository. \n\t\t',l:''},'rule':{d:'A declaration, with a set of conditions and actions. If all the conditions in the rule are satisfied by facts in the Rete network (and the rule is at the top of the agenda), TIBCO BusinessEvents executes the action. \n\t\t',l:''},'rule based time event \n\t ':{d:'See \n\t\t  time event. \n\t\t',l:''},'rule function \n\t ':{d:'Custom functions written using the TIBCO BusinessEvents rule language and using a provided user interface. \n\t\tAlso used to refer to a type of ontology function. \n\t\t',l:''},'rule session \n\t ':{d:'An older term that has been replaced by the term inference agent. \n\t\t',l:''},'Run to completion (RTC) cycle \n\t ':{d:'A run to completion (RTC), cycle generally begins when an external action causes changes to the Rete network. It ends when there are no more rule actions to execute as a result of that initial change (and any subsequent changes caused by rule actions). One RTC is composed of one or more \n\t\t  conflict resolution cycles. Other terms for RTC are \n\t\t  forward chaining and \n\t\t  inferencing. \n\t\t',l:''},'serializer \n\t ':{d:'A class that performs conversion tasks. In TIBCO BusinessEvents, a serializer converts events to messages. \n\t\t',l:''},'simple event \n\t ':{d:'An object representing a business activity that happened at a single point in time. A simple event includes information for evaluation by rules, metadata that provides context, and a separate payload — a set of data relevant to the activity. \n\t\t',l:''},'simple event definition \n\t ':{d:'A description of the channel, destination, properties, and payload for a simple event. \n\t\t',l:''},'standard function \n\t ':{d:'A library of standard functions is provided with TIBCO BusinessEvents for use in rules and rule functions. \n\t\t',l:''},'time event \n\t ':{d:'A type of event definition, used as a timer. Two types are available: rule based, and interval based. \n\t\t',l:''},'time to live \n\t ':{d:'A simple event property that defines the delay after which a simple event expires. \n\t\t',l:''},'UML (Unified Modeling Language) \n\t ':{d:'A language that asTIBCO BusinessEvents Architect’s Guidesists in building a diagram of any complex entity. TIBCO BusinessEvents diagrams use the UML. The TIBCO BusinessEvents term, \n\t\t  concept, is similar to a UML class. \n\t\t',l:''},'virtual rule function \n\t ':{d:'A rule function whose signature is defined in a TIBCO BusinessEvents project and whose implementation is defined using decision tables. For use by TIBCO BusinessEvents Decision Manager add-on software. \n\t\t',l:''},'working memory \n\t ':{d:'The runtime processing area for rules, objects, and actions. Rules apply only to data in the working memory. Often used to mean Rete network. \n\t\t',l:''}});